[ARVADOS] created: afe657cad834e66867b11bef08a5e9a372f525a4

git at public.curoverse.com git at public.curoverse.com
Fri Apr 18 15:59:40 EDT 2014


        at  afe657cad834e66867b11bef08a5e9a372f525a4 (commit)


commit afe657cad834e66867b11bef08a5e9a372f525a4
Author: Tim Pierce <twp at curoverse.com>
Date:   Fri Apr 18 16:00:59 2014 -0400

    Reorganize Keep code in preparation for dividing into modules.
    
    Refs #2620

diff --git a/.gitignore b/.gitignore
index 8cf65b5..5a92ffe 100644
--- a/.gitignore
+++ b/.gitignore
@@ -8,3 +8,6 @@ sdk/perl/MYMETA.*
 sdk/perl/Makefile
 sdk/perl/blib/*
 sdk/perl/pm_to_blib
+services/keep/bin
+services/keep/pkg
+services/keep/src/github.com
diff --git a/services/keep/build.sh b/services/keep/build.sh
new file mode 100755
index 0000000..26648ef
--- /dev/null
+++ b/services/keep/build.sh
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+# This script builds a Keep executable and installs it in
+# ./bin/keep.
+#
+# In idiomatic Go style, a user would install Keep with something
+# like:
+#
+#     go get arvados.org/keep
+#     go install arvados.org/keep
+#
+# which would download both the Keep source and any third-party
+# packages it depends on.
+#
+# Since the Keep source is bundled within the overall Arvados source,
+# "go get" is not the primary tool for delivering Keep source and this
+# process doesn't work.  Instead, this script sets the environment
+# properly and fetches any necessary dependencies by hand.
+
+if [ -z "$GOPATH" ]
+then
+    GOPATH=$(pwd)
+else
+    GOPATH=$(pwd):${GOPATH}
+fi
+
+export GOPATH
+
+set -o errexit   # fail if any command returns an error
+
+mkdir -p pkg
+mkdir -p bin
+go get github.com/gorilla/mux
+go install keep
+ls -l bin/keep
+echo "success!"
diff --git a/services/keep/keep.go b/services/keep/src/keep/keep.go
similarity index 100%
rename from services/keep/keep.go
rename to services/keep/src/keep/keep.go
diff --git a/services/keep/keep_test.go b/services/keep/src/keep/keep_test.go
similarity index 100%
rename from services/keep/keep_test.go
rename to services/keep/src/keep/keep_test.go

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list